# Uses of Enum
org.eclipse.mat.internal.snapshot.inspections.MultiplePath2GCRootsQuery.Grouping

Packages that use MultiplePath2GCRootsQuery.Grouping
Package
Description
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.

## Uses of MultiplePath2GCRootsQuery.Grouping in org.eclipse.mat.internal.snapshot.inspections

Fields in org.eclipse.mat.internal.snapshot.inspections declared as MultiplePath2GCRootsQuery.Grouping
Modifier and Type
Field
Description
`MultiplePath2GCRootsQuery.Grouping`
MultiplePath2GCRootsQuery.`groupBy`
Methods in org.eclipse.mat.internal.snapshot.inspections that return MultiplePath2GCRootsQuery.Grouping
Modifier and Type
Method
Description
`abstract MultiplePath2GCRootsQuery.Grouping`
MultiplePath2GCRootsQuery.Tree.`getGroupedBy()`
`static MultiplePath2GCRootsQuery.Grouping`
MultiplePath2GCRootsQuery.Grouping.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MultiplePath2GCRootsQuery.Grouping[]`
MultiplePath2GCRootsQuery.Grouping.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.internal.snapshot.inspections with parameters of type MultiplePath2GCRootsQuery.Grouping
Modifier and Type
Method
Description
`MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.Tree.`groupBy(MultiplePath2GCRootsQuery.Grouping groupBy)`